#if !defined(AFX_VIEW3DCHILDWINDOW_H__5291EA12_420E_4B35_A0B2_6D59F1FBB232__INCLUDED_)
#define AFX_VIEW3DCHILDWINDOW_H__5291EA12_420E_4B35_A0B2_6D59F1FBB232__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// View3DChildWindow.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CView3DChildWindow frame

class CView3DChildWindow : public CFrameWnd
{
//	DECLARE_DYNCREATE(CView3DChildWindow)
protected:

// Attributes
public:

// Operations
public:
	void PostGosInit();
	void Fix3DView();
	bool GOSActive;
	CView3DChildWindow();           // protected constructor used by dynamic creation
	virtual ~CView3DChildWindow();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CView3DChildWindow)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CView3DChildWindow)
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEW3DCHILDWINDOW_H__5291EA12_420E_4B35_A0B2_6D59F1FBB232__INCLUDED_)
